[pacman-dev] [PATCH 2/4] makepkg: let --source imply --ignorearch
Dave Reisner
dreisner at archlinux.org
Sun Aug 10 09:33:22 EDT 2014
Since source package creation is architecture independent, we should
ignore architecture-dependent behaviors such as the lint check which
will halt execution when the host machine is not a supported arch.
https://github.com/falconindy/pkgbuild-introspection/issues/15
---
scripts/makepkg.sh.in | 14 ++++++++++----
1 file changed, 10 insertions(+), 4 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 8e8a64c..cec190b 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -3154,10 +3154,16 @@ fi
SRCPKGDEST=${_SRCPKGDEST:-$SRCPKGDEST}
SRCPKGDEST=${SRCPKGDEST:-$startdir} #default to $startdir if undefined
-if (( SOURCEONLY )) && [[ ! -w $SRCPKGDEST ]]; then
- error "$(gettext "You do not have write permission to store source tarballs in %s.")" "$SRCPKGDEST"
- plain "$(gettext "Aborting...")"
- exit 1
+if (( SOURCEONLY )); then
+ if [[ ! -w $SRCPKGDEST ]]; then
+ error "$(gettext "You do not have write permission to store source tarballs in %s.")" "$SRCPKGDEST"
+ plain "$(gettext "Aborting...")"
+ exit 1
+ fi
+
+ # If we're only making a source tarball, then we need to ignore architecture-
+ # dependent behavior.
+ IGNOREARCH=1
fi
LOGDEST=${_LOGDEST:-$LOGDEST}
--
2.0.4
More information about the pacman-dev
mailing list